Debian Bug report logs - #609569
License violation in the package openoffice.org-dmaths

version graph

Package: openoffice.org-dmaths; Maintainer for openoffice.org-dmaths is Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>; Source for openoffice.org-dmaths is src:openoffice.org.

Reported by: Innocent De Marchi <tangram.peces@gmail.com>

Date: Mon, 10 Jan 2011 17:30:01 UTC

Severity: serious

Found in version dmaths/3.2-1

Fixed in version dmaths/3.2.dfsg.1-1

Done: Innocent De Marchi <tangram.peces@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Miguel Gea Milvaques <xerakko@debian.org>:
Bug#609569; Package openoffice.org-dmaths. (Mon, 10 Jan 2011 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Innocent De Marchi <tangram.peces@gmail.com>:
New Bug report received and forwarded. Copy sent to Miguel Gea Milvaques <xerakko@debian.org>. (Mon, 10 Jan 2011 17:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Innocent De Marchi <tangram.peces@gmail.com>
To: submit@bugs.debian.org
Cc: ddorange@dmaths.com
Subject: License violation in the package openoffice.org-dmaths
Date: Mon, 10 Jan 2011 18:26:07 +0100
Package: openoffice.org-dmaths
Version: 3.2-1
Severity:  serious

Hi!

I'm adopted the package dmaths
(http://packages.qa.debian.org/d/dmaths.html and
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595544). This package
distributes the file U2200.pdf is "Mathematical Operators" by The
Unicode Standard wiht this text:

"Terms of Use
You may freely use these code charts for personal or internal business
uses only. You may not incorporate them either
wholly or in part into any product or publication, or otherwise
distribute them without express written permission from
the Unicode Consortium. However, you may provide links to these charts.
The fonts and font data used in production of these code charts may
NOT be extracted, or used in any other way in any
product or publication, without permission or license granted by the
typeface owner(s).
The Unicode Consortium is not liable for errors or omissions in this
file or the standard itself. Information on characters
added to the Unicode Standard since the publication of the most recent
version of the Unicode Standard, as well as on
characters currently being considered for addition to the Unicode
Standard can be found on the Unicode web site.
See http://www.unicode.org/pending/pending.html and
http://www.unicode.org/alloc/Pipeline.html.
Copyright © 1991-2008 Unicode, Inc. All rights reserved."

It is not possible to distribute this file.

The package distributed two pdf files which may violate the license
terms (r_typo.pdf and mathematiques.pdf).
See http://lists.debian.org/debian-legal/2011/01/msg00003.html for more details.
I have advised the upstream author to delete this files from your
source package.

I. De Marchi




Information forwarded to debian-bugs-dist@lists.debian.org, Miguel Gea Milvaques <xerakko@debian.org>:
Bug#609569; Package openoffice.org-dmaths. (Tue, 11 Jan 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Miguel Gea Milvaques <xerakko@debian.org>. (Tue, 11 Jan 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 609569@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Innocent De Marchi" <tangram.peces@gmail.com>, 609569@bugs.debian.org
Subject: Re: Bug#609569: License violation in the package openoffice.org-dmaths
Date: Tue, 11 Jan 2011 13:51:05 -0000
On Mon, January 10, 2011 17:26, Innocent De Marchi wrote:
> I'm adopted the package dmaths
> (http://packages.qa.debian.org/d/dmaths.html and
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595544). This package
> distributes the file U2200.pdf is "Mathematical Operators" by The
> Unicode Standard wiht this text:
[...]
> It is not possible to distribute this file.
>
> The package distributed two pdf files which may violate the license
> terms (r_typo.pdf and mathematiques.pdf).
> See http://lists.debian.org/debian-legal/2011/01/msg00003.html for more
> details.
> I have advised the upstream author to delete this files from your
> source package.

Are you planning an upload to fix this, soon?  If not then considering
that the package was not in lenny and has only had one upload in the past
two years (just after the release of lenny) then it may be worth looking
at whether we ship it with Squeeze.

If you do make an upload targetted at keeping the package in Squeeze,
please do not include changes other than the maintainer update and the fix
for this bug.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Miguel Gea Milvaques <xerakko@debian.org>:
Bug#609569; Package openoffice.org-dmaths. (Tue, 11 Jan 2011 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Innocent De Marchi <tangram.peces@gmail.com>:
Extra info received and forwarded to list. Copy sent to Miguel Gea Milvaques <xerakko@debian.org>. (Tue, 11 Jan 2011 17:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 609569@bugs.debian.org (full text, mbox):

From: Innocent De Marchi <tangram.peces@gmail.com>
To: 609569@bugs.debian.org
Cc: adam@adam-barratt.org.uk
Subject: Re: Bug#609569: License violation in the package openoffice.org-dmaths
Date: Tue, 11 Jan 2011 18:03:33 +0100
Hi Adam,
>
> Are you planning an upload to fix this, soon?  If not then considering
> that the package was not in lenny and has only had one upload in the past
> two years (just after the release of lenny) then it may be worth looking
> at whether we ship it with Squeeze.

    I have the package ready, I'm only aware of the upstream author
remove questionable files.

>
> If you do make an upload targetted at keeping the package in Squeeze,
> please do not include changes other than the maintainer update and the fix
> for this bug.

The original author has told me that in 7 days I will have this fixed:
but it's a new upstream version (Includes changes to other upstream
files).

What is done with earlier versions of the package containing licensed
files still doubtful?


Regards!

I. De Marchi




Reply sent to Innocent De Marchi <tangram.peces@gmail.com>:
You have taken responsibility. (Tue, 11 Jan 2011 22:03:05 GMT) Full text and rfc822 format available.

Notification sent to Innocent De Marchi <tangram.peces@gmail.com>:
Bug acknowledged by developer. (Tue, 11 Jan 2011 22:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 609569-close@bugs.debian.org (full text, mbox):

From: Innocent De Marchi <tangram.peces@gmail.com>
To: 609569-close@bugs.debian.org
Subject: Bug#609569: fixed in dmaths 3.2.dfsg.1-1
Date: Tue, 11 Jan 2011 22:00:09 +0000
Source: dmaths
Source-Version: 3.2.dfsg.1-1

We believe that the bug you reported is fixed in the latest version of
dmaths, which is due to be installed in the Debian FTP archive:

dmaths_3.2.dfsg.1-1.diff.gz
  to main/d/dmaths/dmaths_3.2.dfsg.1-1.diff.gz
dmaths_3.2.dfsg.1-1.dsc
  to main/d/dmaths/dmaths_3.2.dfsg.1-1.dsc
dmaths_3.2.dfsg.1.orig.tar.gz
  to main/d/dmaths/dmaths_3.2.dfsg.1.orig.tar.gz
openoffice.org-dmaths_3.2.dfsg.1-1_all.deb
  to main/d/dmaths/openoffice.org-dmaths_3.2.dfsg.1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609569@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Innocent De Marchi <tangram.peces@gmail.com> (supplier of updated dmaths package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Jan 2011 16:28:35 +0100
Source: dmaths
Binary: openoffice.org-dmaths
Architecture: source all
Version: 3.2.dfsg.1-1
Distribution: unstable
Urgency: low
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Changed-By: Innocent De Marchi <tangram.peces@gmail.com>
Description: 
 openoffice.org-dmaths - Formula editor improvements for OpenOffice.org
Closes: 595544 609569
Changes: 
 dmaths (3.2.dfsg.1-1) unstable; urgency=low
 .
   * New mantainer (Closes: #595544).
   * Repackage upstream tarball removing undistributable files with
     licensing issues (Closes: #609569).
   * Add README.Debian about the removed files.
   * Update debian/docs accordingly.
Checksums-Sha1: 
 27f02846e771b37bac2708580575bc6db3041a68 1730 dmaths_3.2.dfsg.1-1.dsc
 7643d25f58461676f1024514341af5ec5ccab492 7994785 dmaths_3.2.dfsg.1.orig.tar.gz
 a79df84c10981ef13e9439b1dd4ee013d077c79d 4267 dmaths_3.2.dfsg.1-1.diff.gz
 70dd5df7eff34321ceedbff43b8afb9705c8a37d 7931468 openoffice.org-dmaths_3.2.dfsg.1-1_all.deb
Checksums-Sha256: 
 8f1e703338d2e0459a260f4620b44ff81c38569371fc5334dc58d4f50eaf047f 1730 dmaths_3.2.dfsg.1-1.dsc
 d382c18b9f880ab9b2c1ecd28128cae201d44938903d9dbdba6f8ddef9268c5e 7994785 dmaths_3.2.dfsg.1.orig.tar.gz
 159e4ef9628b763d1e9692e0325ffdcabc145d4acd83a3f16c31a3b8688815de 4267 dmaths_3.2.dfsg.1-1.diff.gz
 dcd5e9002d336fdc81907766a95dd9c8e6c2a6217e2e634462d0d0595c873073 7931468 openoffice.org-dmaths_3.2.dfsg.1-1_all.deb
Files: 
 2c37e9782447a7778039340b5dc9932e 1730 doc extra dmaths_3.2.dfsg.1-1.dsc
 888cdc5137bda7ce592fd8890bcc8f05 7994785 doc extra dmaths_3.2.dfsg.1.orig.tar.gz
 ec64ea47ebe5a2a3ca4bb3e11f4ab7d7 4267 doc extra dmaths_3.2.dfsg.1-1.diff.gz
 27831ffae1ac669a1a7e1211a4253d08 7931468 doc extra openoffice.org-dmaths_3.2.dfsg.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJNLMcvAAoJELNGT4lqoVlII30P/3MfkSiEl8tDI7zUoRmJ0+Z/
2b3LfJryp/QkxWXKTcbQmMTNfLnqk1Cxu6rAfr0Qiks4vmUnrCPLcs/BVeur46Ji
hgUTUv78IHkaYsC8mOe56lOch7oLb0on5M8wDPRkwXbXdShvqPbnX1H/HTwNEkzU
svTBfJ0zk4BjWgG3msuLiZxho1HY/9D6Ll++FHNvfVXXcpj4pHCSBF+fGwICml2I
qtdwHjrUVkTEd3/9za6yhtl/4gsgPZF4w9S8wdV63w/Cff9q/0ZaI3eFL3qiy6I5
qnmdGl+u4xkSavgpLEAw70tUpgwhFrBn+yNZfsCUvEFkNfuOucyKaUSbTFc4dJoE
0/aj4jDZ1rca1EwFbstkdqVJ6h1IEGHrG8Pu6egTxCe9oWwhucltVz6Mb2L9z6Pl
4XaBbT0D6YBKyer75OFwRNgKgn1dzHeB5MK2pH3vcIg31pzLYYfbWWlQTgKQg7PP
+Wt+fDSCNs97MWt472lEZLhURqNTbKts2b+NosKW6Lb1i/w++vVLrsPiPxLyn1Rt
sDsZ2jvI/QZ3xrRo2l/ETmH3c+/5dp6gmAwejLGjEWleqY+UDSo7ivK+dzeFFJZA
v/H+yRIPSxO3YoJdcbCPs5aChsgDeNdsb8LMUk8qJcpn9iUrgaMlU5+l45aO/Imf
b7K17FKSlviAAwvRqQG8
=ZaEn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:43:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:45:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.